Bug 18259 - Koha::Biblio - Remove GetSubscriptionsId
Summary: Koha::Biblio - Remove GetSubscriptionsId
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 18256 18258
Blocks: 17628
  Show dependency treegraph
 
Reported: 2017-03-13 18:32 UTC by Jonathan Druart
Modified: 2017-07-18 13:32 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18259: Koha::Biblio - Remove GetSubscriptionsId (6.79 KB, patch)
2017-03-13 18:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18259: Koha::Biblio - Remove GetSubscriptionsId (34.92 KB, patch)
2017-05-31 19:23 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18259: Koha::Biblio - Remove GetSubscriptionsId (6.98 KB, patch)
2017-07-05 19:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18259: Koha::Biblio - Remove GetSubscriptionsId (7.00 KB, patch)
2017-07-14 09:24 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18259: [QA Follow-up] Replace variable name (5.64 KB, patch)
2017-07-14 09:24 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18259: Koha::Biblio - Remove GetSubscriptionsId (7.06 KB, patch)
2017-07-14 09:24 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18259: [QA Follow-up] Replace variable name (5.69 KB, patch)
2017-07-14 09:25 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-03-13 18:32:40 UTC
C4::Biblio::GetSubscriptionsId can be replaced using Koha::Biblio->subscriptions
Comment 1 Jonathan Druart 2017-03-13 18:46:16 UTC
Created attachment 61051 [details] [review]
Bug 18259: Koha::Biblio - Remove GetSubscriptionsId

C4::Biblio::GetSubscriptionsId can be replaced using
Koha::Biblio->subscriptions

Test plan:
Create a new order for a bibliographic record
Create a new subscription on this biblio
From the basket (acquisition), confirm that you are not able to delete
the order with the biblio ("Can't cancel order and delete catalog record
1 subscription(s) left")
Receive the order
On the parcel page, confirm that you are not able to delete the order
with the biblio
Comment 2 Josef Moravec 2017-05-31 19:23:11 UTC
Created attachment 63889 [details] [review]
[SIGNED-OFF] Bug 18259: Koha::Biblio - Remove GetSubscriptionsId

C4::Biblio::GetSubscriptionsId can be replaced using
Koha::Biblio->subscriptions

Test plan:
Create a new order for a bibliographic record
Create a new subscription on this biblio
From the basket (acquisition), confirm that you are not able to delete
the order with the biblio ("Can't cancel order and delete catalog record
1 subscription(s) left")
Receive the order
On the parcel page, confirm that you are not able to delete the order
with the biblio

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Jonathan Druart 2017-07-05 19:44:47 UTC
Created attachment 64826 [details] [review]
Bug 18259: Koha::Biblio - Remove GetSubscriptionsId

C4::Biblio::GetSubscriptionsId can be replaced using
Koha::Biblio->subscriptions

Test plan:
Create a new order for a bibliographic record
Create a new subscription on this biblio
From the basket (acquisition), confirm that you are not able to delete
the order with the biblio ("Can't cancel order and delete catalog record
1 subscription(s) left")
Receive the order
On the parcel page, confirm that you are not able to delete the order
with the biblio

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Marcel de Rooy 2017-07-14 09:24:21 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2017-07-14 09:24:25 UTC Comment hidden (obsolete)
Comment 6 Marcel de Rooy 2017-07-14 09:24:56 UTC
Created attachment 65043 [details] [review]
Bug 18259: Koha::Biblio - Remove GetSubscriptionsId

C4::Biblio::GetSubscriptionsId can be replaced using
Koha::Biblio->subscriptions

Test plan:
Create a new order for a bibliographic record
Create a new subscription on this biblio
From the basket (acquisition), confirm that you are not able to delete
the order with the biblio ("Can't cancel order and delete catalog record
1 subscription(s) left")
Receive the order
On the parcel page, confirm that you are not able to delete the order
with the biblio

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2017-07-14 09:25:00 UTC
Created attachment 65044 [details] [review]
Bug 18259: [QA Follow-up] Replace variable name

The variable name has_subscriptions implies that it is a boolean. In reality
we save the number of subscriptions into it. Renaming has_ to cnt_.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Jonathan Druart 2017-07-14 15:32:19 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 9 Fridolin SOMERS 2017-07-18 13:32:56 UTC
Enhancement not pushed to 17.05.x